# Interface UploadClientOperationAppendFileVersion<Change>

Defines what is required to append a version to a existing change. This can be a existing change like a file or a attachment.

interface UploadClientOperationAppendFileVersion<
Change extends BimChangeUploadable,
> {
content: unknown;
metadata?: DefaultChangeUploadableMetadata;
operation: "append";
previousVersion: Change;
}

#### Type Parameters

- Change extends BimChangeUploadable

##### Index

### Properties

content
metadata?
operation
previousVersion

## Properties

### content

content: unknown

Content to add.

### `Optional` metadata

metadata?: DefaultChangeUploadableMetadata

Optional metadata. If metadata is not specified then metadata from previousVersion is automatically used. If specified, then all metadata must be specified because it will be used instead of metadata from previousVersion.

### operation

operation: "append"

Type of operation. In this case 'append' to represent that the operation will add new version to a existing change.

### previousVersion

previousVersion: Change

Previous change to add version to. If Change.etag on previousVersion differs from backend value then the operation will fail.